API ReferenceapiintegrationsPOST /v1/sync/{connectionId}

POST /v1/sync/\{connectionId\}

Service: integrations · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • connectionId (string) required

Responses

200 Sync run result

{
  "type": "object",
  "properties": {
    "syncRun": {
      "type": "object",
      "properties": {
        "id": {
          "type": "string"
        },
        "connectionId": {
          "type": "string"
        },
        "status": {
          "type": "string"
        },
        "recordsProcessed": {
          "type": "number"
        },
        "errors": {
          "type": "array",
          "items": {
            "type": "string"
          }
        },
        "completedAt": {
          "type": [
            "string",
            "null"
          ]
        }
      },
      "required": [
        "id",
        "connectionId",
        "status",
        "recordsProcessed",
        "errors",
        "completedAt"
      ]
    }
  },
  "required": [
    "syncRun"
  ]
}

404 Connection not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

500 Sync failed

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X POST https://integrations.platform.loop.health/v1/sync/{connectionId} \
  -H "Authorization: Bearer $ACCESS_TOKEN"